org.apache.poi.hssf.eventusermodel

## Class HSSFEventFactory

- java.lang.Object
- - org.apache.poi.hssf.eventusermodel.HSSFEventFactory

-     public class HSSFEventFactory
      extends java.lang.Object

  Low level event based HSSF reader. Pass either a DocumentInputStream to process events along with a request object or pass a POIFS POIFSFileSystem to processWorkbookEvents along with a request. This will cause your file to be processed a record at a time. Each record with a static id matching one that you have registered in your HSSFRequest will be passed to your associated HSSFListener.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFEventFactory()` Creates a new instance of HSSFEventFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `abortableProcessEvents(HSSFRequest req, java.io.InputStream in)` Processes a DocumentInputStream into essentially Record events.
    `short` | `abortableProcessWorkbookEvents(HSSFRequest req, DirectoryNode dir)` Processes a file into essentially record events.
    `short` | `abortableProcessWorkbookEvents(HSSFRequest req, POIFSFileSystem fs)` Processes a file into essentially record events.
    `void` | `processEvents(HSSFRequest req, java.io.InputStream in)` Processes a DocumentInputStream into essentially Record events.
    `void` | `processWorkbookEvents(HSSFRequest req, DirectoryNode dir)` Processes a file into essentially record events.
    `void` | `processWorkbookEvents(HSSFRequest req, POIFSFileSystem fs)` Processes a file into essentially record events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFEventFactory

          public HSSFEventFactory()

      Creates a new instance of HSSFEventFactory

  - ### Method Detail

    - #### processWorkbookEvents

          public void processWorkbookEvents(HSSFRequest req,
                                            POIFSFileSystem fs)
                                     throws java.io.IOException

      Processes a file into essentially record events.
      Parameters:
        `req` - an Instance of HSSFRequest which has your registered listeners
        `fs` - a POIFS filesystem containing your workbook
      Throws:
        `java.io.IOException` - if the workbook contained errors

    - #### processWorkbookEvents

          public void processWorkbookEvents(HSSFRequest req,
                                            DirectoryNode dir)
                                     throws java.io.IOException

      Processes a file into essentially record events.
      Parameters:
        `req` - an Instance of HSSFRequest which has your registered listeners
        `dir` - a DirectoryNode containing your workbook
      Throws:
        `java.io.IOException` - if the workbook contained errors

    - #### abortableProcessWorkbookEvents

          public short abortableProcessWorkbookEvents(HSSFRequest req,
                                                      POIFSFileSystem fs)
                                               throws java.io.IOException,
                                                      HSSFUserException

      Processes a file into essentially record events.
      Parameters:
        `req` - an Instance of HSSFRequest which has your registered listeners
        `fs` - a POIFS filesystem containing your workbook
      Returns:
        numeric user-specified result code.
      Throws:
        `HSSFUserException` - if the processing should be aborted
        `java.io.IOException` - if the workbook contained errors

    - #### abortableProcessWorkbookEvents

          public short abortableProcessWorkbookEvents(HSSFRequest req,
                                                      DirectoryNode dir)
                                               throws java.io.IOException,
                                                      HSSFUserException

      Processes a file into essentially record events.
      Parameters:
        `req` - an Instance of HSSFRequest which has your registered listeners
        `dir` - a DirectoryNode containing your workbook
      Returns:
        numeric user-specified result code.
      Throws:
        `HSSFUserException` - if the processing should be aborted
        `java.io.IOException` - if the workbook contained errors

    - #### processEvents

          public void processEvents(HSSFRequest req,
                                    java.io.InputStream in)

      Processes a DocumentInputStream into essentially Record events. If an `AbortableHSSFListener` causes a halt to processing during this call the method will return just as with `abortableProcessEvents`, but no user code or `HSSFUserException` will be passed back.
      Parameters:
        `req` - an Instance of HSSFRequest which has your registered listeners
        `in` - a DocumentInputStream obtained from POIFS's POIFSFileSystem object
      See Also:
        `POIFSFileSystem.createDocumentInputStream(String)`

    - #### abortableProcessEvents

          public short abortableProcessEvents(HSSFRequest req,
                                              java.io.InputStream in)
                                       throws HSSFUserException

      Processes a DocumentInputStream into essentially Record events.
      Parameters:
        `req` - an Instance of HSSFRequest which has your registered listeners
        `in` - a DocumentInputStream obtained from POIFS's POIFSFileSystem object
      Returns:
        numeric user-specified result code.
      Throws:
        `HSSFUserException` - if the processing should be aborted
      See Also:
        `POIFSFileSystem.createDocumentInputStream(String)`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.